form {
  @apply flex flex-col justify-center items-center;

  .form-row {
    @apply w-full flex flex-col justify-between items-start;

    label {
      @apply w-full relative;

      input {
        &::placeholder { @apply opacity-0; }

        &:not(:placeholder-shown) + span{
          transform: translateY(-20px);
        }
      }

      span {
        @apply absolute;
        top: -5px;
        left: 10px;
        transform: translateY(15px);
        font-size: 0.825em;
        transition-duration: 300ms;
      }

      &:focus-within > span {
        transform:translateY(-20px);
      }
    }

    @screen tablet {
      @apply flex-row;

      &.form-row-3 {
        > label, select { width: 32%; }
      }

      &.form-row-2 {
        > label, select { width: 48%; }

        &--large {
          .first { width: 73% }
          .last { width: 25% }
        }
      }

      &.form-row-center {
        @apply justify-center;

        > label, select { @apply w-1/2; }
      }
    }
  }

  .checkbox {
    @apply flex justify-center items-center;
    label { @apply ml-3 }
    input {
      zoom: 1.5;
    }
  }

  .form-input, .form-select {
    @apply w-full mb-10 p-5 rounded bg-white border;

    &.disabled { @apply bg-gray-100; }
  }

  .form-submit {
    @apply flex flex-col justify-center items-center w-full;
  }
}
